#!/bin/sh

if ps ax|grep pr2_etherCAT|grep ecat0 > /dev/null; then
  echo pr2_etherCAT running. Skipping test.
  exit 254
fi

if [ `id -u` != 0 ]; then
  echo This test needs to be run as root.
  exit 254
fi

res=0

. /etc/ros/setup.sh

MOTORCONF_FILE=`mktemp -t checkwge100firmware-discover.XXXXXXXXXX`

cd `rospack find ethercat_hardware`
./motorconf -i ecat0 > $MOTORCONF_FILE

version='Firmware Revision 1.11'

name=WG021
present=`grep $name $MOTORCONF_FILE|wc -l`
up_to_date=`grep $name $MOTORCONF_FILE| grep "$version"|wc -l`
if [ $up_to_date != $present ]; then
    echo "At least one projector board is not up to date. (Expected $version)" >&2
    res=1
elif [ $present != 0 ]; then
    echo "Projector board is up to date. ($present board(s) detected)"
else
    echo "No projector board was detected." >&2
    res=1
fi

rm $MOTORCONF_FILE

exit ${res}
