#!/bin/sh

res=0

. /etc/ros/setup.sh

DISCOVER_FILE=`mktemp -t checkwge100firmware-discover.XXXXXXXXXX`

CAMERAS="name://wide_stereo_l name://wide_stereo_r name://narrow_stereo_l name://narrow_stereo_r name://forearm_r name://forearm_l"

rosrun wge100_camera discover lan0 > $DISCOVER_FILE

version_file=`rospack find wge100_camera`/firmware_images/version.txt
if [ -e $version_file ]; then
  version=`cat $version_file`
else
  version='HDL rev: 504 FW rev: 202'
fi

for name in $CAMERAS; do
    present=`grep $name $DISCOVER_FILE|wc -l`
    up_to_date=`grep $name $DISCOVER_FILE| grep "$version"|wc -l`
    if [ $up_to_date != 0 ]; then
	echo "Camera $name is up to date."
    elif [ $present != 0 ]; then
        echo "Camera $name has old firmware you need to run update_robot.sh in wge100_camera." >&2
        res=1
    else
        echo "Camera $name is missing." >&2
        res=1
    fi
done

rm $DISCOVER_FILE

exit ${res}
